--- include/SDL_config_macosx.h	2023-07-02 01:04:05.000000000 +0800
+++ include/SDL_config_macosx.h	2023-07-23 05:28:30.000000000 +0800
@@ -182,14 +182,16 @@
 #define SDL_TIMER_UNIX  1
 
 /* Enable various video drivers */
+#if !defined(__POWERPC__)
 #define SDL_VIDEO_DRIVER_COCOA  1
+#endif
 #define SDL_VIDEO_DRIVER_DUMMY  1
-#undef SDL_VIDEO_DRIVER_X11
-#define SDL_VIDEO_DRIVER_X11_DYNAMIC "/opt/X11/lib/libX11.6.dylib"
-#define SDL_VIDEO_DRIVER_X11_DYNAMIC_XEXT "/opt/X11/lib/libXext.6.dylib"
-#define SDL_VIDEO_DRIVER_X11_DYNAMIC_XINPUT2 "/opt/X11/lib/libXi.6.dylib"
-#define SDL_VIDEO_DRIVER_X11_DYNAMIC_XRANDR "/opt/X11/lib/libXrandr.2.dylib"
-#define SDL_VIDEO_DRIVER_X11_DYNAMIC_XSS "/opt/X11/lib/libXss.1.dylib"
+#define SDL_VIDEO_DRIVER_X11    1
+#define SDL_VIDEO_DRIVER_X11_DYNAMIC "@PREFIX@/lib/libX11.6.dylib"
+#define SDL_VIDEO_DRIVER_X11_DYNAMIC_XEXT "@PREFIX@/lib/libXext.6.dylib"
+#define SDL_VIDEO_DRIVER_X11_DYNAMIC_XINPUT2 "@PREFIX@/lib/libXi.6.dylib"
+#define SDL_VIDEO_DRIVER_X11_DYNAMIC_XRANDR "@PREFIX@/lib/libXrandr.2.dylib"
+#define SDL_VIDEO_DRIVER_X11_DYNAMIC_XSS "@PREFIX@/lib/libXss.1.dylib"
 #define SDL_VIDEO_DRIVER_X11_XDBE 1
 #define SDL_VIDEO_DRIVER_X11_XRANDR 1
 #define SDL_VIDEO_DRIVER_X11_XSCRNSAVER 1

--- src/video/x11/SDL_x11opengl.c	2023-07-02 01:04:05.000000000 +0800
+++ src/video/x11/SDL_x11opengl.c	2023-07-23 07:49:24.000000000 +0800
@@ -40,7 +40,8 @@
  */
 #define DEFAULT_OPENGL  "libGL.so"
 #elif defined(__MACOSX__)
-#define DEFAULT_OPENGL  "/opt/X11/lib/libGL.1.dylib"
+#include <AvailabilityMacros.h>
+#define DEFAULT_OPENGL  "@PREFIX@/lib/libGL.1.dylib"
 #elif defined(__QNXNTO__)
 #define DEFAULT_OPENGL  "libGL.so.3"
 #else
